pysisyphus.optimizers package
=============================

Submodules
----------

pysisyphus.optimizers.BFGS module
---------------------------------

.. automodule:: pysisyphus.optimizers.BFGS
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.BacktrackingOptimizer module
--------------------------------------------------

.. automodule:: pysisyphus.optimizers.BacktrackingOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.ConjugateGradient module
----------------------------------------------

.. automodule:: pysisyphus.optimizers.ConjugateGradient
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.CubicNewton module
----------------------------------------

.. automodule:: pysisyphus.optimizers.CubicNewton
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.FIRE module
---------------------------------

.. automodule:: pysisyphus.optimizers.FIRE
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.HessianOptimizer module
---------------------------------------------

.. automodule:: pysisyphus.optimizers.HessianOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.LBFGS module
----------------------------------

.. automodule:: pysisyphus.optimizers.LBFGS
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.LayerOpt module
-------------------------------------

.. automodule:: pysisyphus.optimizers.LayerOpt
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.MicroOptimizer module
-------------------------------------------

.. automodule:: pysisyphus.optimizers.MicroOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.NCOptimizer module
----------------------------------------

.. automodule:: pysisyphus.optimizers.NCOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.Optimizer module
--------------------------------------

.. automodule:: pysisyphus.optimizers.Optimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.PreconLBFGS module
----------------------------------------

.. automodule:: pysisyphus.optimizers.PreconLBFGS
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.PreconSteepestDescent module
--------------------------------------------------

.. automodule:: pysisyphus.optimizers.PreconSteepestDescent
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.QuickMin module
-------------------------------------

.. automodule:: pysisyphus.optimizers.QuickMin
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.RFOptimizer module
----------------------------------------

.. automodule:: pysisyphus.optimizers.RFOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.RSA module
--------------------------------

.. automodule:: pysisyphus.optimizers.RSA
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.StabilizedQNMethod module
-----------------------------------------------

.. automodule:: pysisyphus.optimizers.StabilizedQNMethod
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.SteepestDescent module
--------------------------------------------

.. automodule:: pysisyphus.optimizers.SteepestDescent
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.StringOptimizer module
--------------------------------------------

.. automodule:: pysisyphus.optimizers.StringOptimizer
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.closures module
-------------------------------------

.. automodule:: pysisyphus.optimizers.closures
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.cls\_map module
-------------------------------------

.. automodule:: pysisyphus.optimizers.cls_map
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.exceptions module
---------------------------------------

.. automodule:: pysisyphus.optimizers.exceptions
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.gdiis module
----------------------------------

.. automodule:: pysisyphus.optimizers.gdiis
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.guess\_hessians module
--------------------------------------------

.. automodule:: pysisyphus.optimizers.guess_hessians
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.hessian\_updates module
---------------------------------------------

.. automodule:: pysisyphus.optimizers.hessian_updates
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.poly\_fit module
--------------------------------------

.. automodule:: pysisyphus.optimizers.poly_fit
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.precon module
-----------------------------------

.. automodule:: pysisyphus.optimizers.precon
   :members:
   :undoc-members:
   :show-inheritance:

pysisyphus.optimizers.restrict\_step module
-------------------------------------------

.. automodule:: pysisyphus.optimizers.restrict_step
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: pysisyphus.optimizers
   :members:
   :undoc-members:
   :show-inheritance:
